SEQ_ESCAPE(9)

NAME
seq_escape - print string into buffer, escaping some characters

SYNOPSIS

int seq_escape(struct seq_file * m, const char * s, const char * esc);

ARGUMENTS

m
    target buffer

s
    string

esc
    set of characters that need escaping

DESCRIPTION

Puts string into buffer, replacing each occurrence of character from esc with usual octal escape. Returns 0 in case of success, -1 - in case of overflow.

COPYRIGHT